* {
    scrollbar-width: thin;
}

:root {
    font-size: 110%;
}

.br-warning {
    border-color: var(--warning) !important;
}

.text-indigo {
    color: var(--indigo) !important;
}

.msg:hover {
    background-color: white;
}

#gui__chats {
    max-height: calc(100vh - 64px);
    overflow-x: hidden;
    overflow-block: hidden;
}

#chat_list {
    min-width: 100vw;
    display: contents;
}

.chat_entry {
    cursor: pointer;
}

#room {
    max-height: calc(100vh - 58px) !important;
}

#room_header {
    min-width: 100vw;
    max-height: 100%;
    display: inline-flex;
}

#room_name_block {
    max-width: 75vw;
    overflow: hidden;
    display: ruby;
    text-overflow: ellipsis;
}

#room_menu {
    position: absolute;
    right: 0;
    left: auto;
    bottom: auto;
    background-color: white;
    z-index: 1;
    overflow: auto;
    flex-flow: column;
    display: flex;
}

.room_menu_entry {
    text-align: start !important;
}

#send_input {
    min-width: 100vw;
    position: absolute;
    bottom: 0;
    height: 3em;
    background-color: white;
}

#msg_list {
    min-width: 100vw;
    overflow-wrap: anywhere;
}

.r {
    text-align: right;
    display: block;
}

.l {
    text-align: left;
    display: block;
}

bold,
.bold {
    font-weight: bold;
}

.no-padding {
    padding-bottom: 0;
    padding-top: 0;
}

.top_sizer {
    max-height: inherit;
    overflow-y: scroll;
    position: absolute;
    top: 2.89em;
    bottom: 3em;
}

.vcent {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
}

label {
    color: rgba(120, 144, 156, 1.0) !important;
}

.btn:focus,
.btn:active:focus,
.btn.active:focus {
    outline: none !important;
    box-shadow: 0 0px 0px rgba(120, 144, 156, 1.0) inset, 0 0 0px rgba(120, 144, 156, 0.8);
}

textarea,
input[type="text"],
input[type="password"] {
    color: var(--dark) !important;
    background-clip: text !important;
}

textarea:hover,
input[type="text"]:hover,
input[type="password"]:hover {
    background-color: transparent !important;
}

textarea:focus,
input:focus {
    box-shadow: none;
    outline: 0 none;
}

.balon {
    display: flow-root;
    max-width: 100vw;
}

.balon a {
    border-radius: 20px 20px 20px 20px;
    display: block;
    max-width: 75%;
    text-align: left !important;
}

.balon.service a {
    left: 50%;
    right: 50%;
    color: var(--white) !important;
    padding: 7px 13px 7px 13px;
}

.crit a {
    background: var(--red) !important;
}

.balon.r a {
    background: var(--warning) !important;
    color: var(--dark) !important;
    padding: 7px 13px 7px 13px;
}

.balon.l a {
    background: var(--indigo);
    color: var(--white) !important;
    padding: 7px 13px 7px 13px;
}